# $Revision: 1.7 $, $Date: 2003/08/31 19:35:04 $
Summary:	Easy to use directory mirroring tool
Summary(pl):	atwy w uyciu pakiet do mirrorowania katalogw
Name:		mirrordir
Version:	0.10.49
Release:	0.1
Group:		Applications/Networking
License:	GPL
Source0:	http://mirrordir.sourceforge.net/%{name}-%{version}.tar.gz
# Source0-md5:	7671e541b5971ad863bba811ac77f69e
Patch0:		%{name}-datadir-fix.patch.bz2
Patch1:		%{name}-zlib-1.1.3-zfree.patch.bz2
URL:		http://mirrordir.sourceforge.net/
BuildRequires:	perl
Requires:	%{name}-libs = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mirrordir mirrors filesystems over ftp or locally via a minimal set of
changes. It is optimised for locally mirroring a device as an
alternative to RAID devices. It duplicates file-systems in every
detail, even correctly recreating hardlinks, devices and access times.
It works well mirroring ftp sites that don't support ls-lR summaries.
Mirrordir can take a C script to customise the kind of files to mirror
based on their stat info, name, or other information.

Simply, use:
mirrordir ftp://some.where.com/dir /some/local/dir
or:
mirrordir /some/local/dir /other/local/directory

%description -l pl
Mirrordir wykonuje kopi lokalnych systemw plikw bd ftp. Jest
zoptymalizowany dla wykonywania lokalnych kopii dyskw jako
alternatywa dla urzdze RAID. Kopiuje pliki z zachowaniem wszystkich
detali, wcznie z czasami dostpu do plikw, odtwarzajc nawet
hardlinki. Sprawuje si wietnie przy wykonywaniu kopii katalogw ftp
ktre nie wspieraj podsumowa ls-lR. Mirror moe uy skryptu C do
wyszczeglnienia parametrw mirrora.

Podsumowywujc, wpisz:
mirrordir ftp://gdzies.tam.pl/katalog /jakis/lokalny/katalog
lub:
mirrordir /jakis/loklany/katalog /inny/lokalny/katalog

%package libs
Summary:	mirrordir libraries
Summary(pl):	Biblioteki mirrordir
Group:		Libraries
Obsoletes:	libmirrordirz1
Obsoletes:	libdiffie1

%description libs
mirrordir libraries (mirrordirz and diffie), necessary to run
mirrordir.

%description libs -l pl
Biblioteki mirrordir (mirrordirz i diffie), potrzebne do dziaania
mirrordir.

%package devel
Summary:	mirrordir development package
Summary(pl):	Pakiet dla programistw mirrordir
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}
Obsoletes:	libmirrordirz1-devel
Obsoletes:	libdiffie1-devel

%description devel
mirrordir development package - for programmers that use mirrordir
libraries.

%description devel -l pl
Pakiet programistyczny mirrordir - dla programistw uywajcych
bibliotek mirrordir.

%package static
Summary:	mirrordir static libraries
Summary(pl):	Statyczne biblioteki mirrordir
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of mirrordir libraries.

%description static -l pl
Statyczna wersja bibliotek mirrordir.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
perl -p -i -e 's/-f \$\(bindir\)\/mirrordir \$/-f \$\(bindir\)\/mirrordir \$\(DESTDIR\)\$/' src/Makefile

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_datadir}/mirrordir
%config(noreplace) %{_sysconfdir}/secure*
%config(noreplace) /etc/pam.d/*
%{_mandir}/man*/*

%files libs
%defattr(644,root,root,755)
%doc AUTHORS BUGS README NEWS THANKS TODO
%{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mirrordir.spec,v $
Revision 1.7  2003/08/31 19:35:04  undefine
- fix

Revision 1.6  2003/05/28 12:59:44  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:50:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2002/12/07 23:49:19  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.3  2002/11/25 14:17:42  ankry
- massive attack: no need for 755 for *.la

Revision 1.2  2002/08/02 13:50:49  qboosh
- undebianized, cleanups

Revision 1.1  2002/07/08 15:30:32  baseciq
- cool mirroring package ;)
- initial spec based on mandrake specfile
- builds and work okay
- needs cleanups, propably translate my "polish" desc to real polish, and
  test, so, please, STBR for test
- also i'm not sure that *requires* are correct
